theme='openmamba'

/*pids = panelIds
for (i = 0; i < pids.length; ++i) {
    p = panelById(pids[i])
    if (!p) continue
    p.remove()
}*/

aids = activityIds
for (i = 0; i < aids.length; ++i) {
    a = activityById(aids[i])
    if (!a) continue
//    if (a.type == 'folderview') a.remove()
    a.remove()
}

/*loadTemplate("org.kde.plasma-desktop.defaultPanel")*/

for (var i = 0; i < screenCount; ++i) {
   var desktop = new Activity('folderview')
   desktop.name = i18n("Desktop")
   desktop.writeConfig('plugin','folderview')
   desktop.screen = i
   desktop.wallpaperPlugin = 'image'
   desktop.wallpaperMode = 'SingleImage'

   //Create more panels for other screens
   if (i > 0) {
      var panel = new Panel
      panel.screen = i
      panel.location = 'bottom'
      panel.height = panels()[i].height = screenGeometry(0).height > 1024 ? 35 : 27
      var tasks = panel.addWidget("tasks")
      tasks.writeConfig("showOnlyCurrentScreen", true);
   }
}

aids = activityIds
for (i = 0; i < aids.length; ++i) {
    a = activityById(aids[i])
    if (!a) continue
    a.currentConfigGroup = new Array("Wallpaper", "image")
    a.writeConfig("slidepaths", "/opt/kde/share/wallpapers")
    a.writeConfig("wallpaper", "openmamba_Bamboo")
    a.writeConfig("userwallpaper", "openmamba_Bamboo")
    a.writeConfig("wallpapercolor", "17,188,51")
}
